Create Testing Shopper Account
Create a Bolt shopper account for testing purposes. Available for sandbox use only and the created account will be recycled after a certain time.
Authorization
X-API-Key Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.
In: header
Header Parameters
The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard [RECOMMENDED].
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/testing/shopper/create" \ -H "Content-Type: application/json" \ -d '{ "deactivate_in_days": 30, "email_state": "verified", "phone_state": "verified" }'{ "email": "alan.watts@example.com", "email_state": "verified", "phone": "+12125550199", "phone_state": "unverified", "otp_code": 123456, "migrated_merchant_owner_id": "addvfRR_bp_7", "will_deactivate_at": "2023-06-01T23:16:07Z", "oauth_code": "7GSjMRSHs6Ak7C_zvVW6P2IhZOHxMK7HZKW1fMX85ms.-DUXvwr1Yg-bfvqXUlMaz49fPn7OdiPa3TwVBlUI-wc"}Authorize a Card using TaaS POST
The `POST /v1/tokenizer/proxy` endpoint allows enterprise merchants to **securely authorize transactions with their preferred payment processors (PSPs)** by proxying requests through Bolt's PCI-compliant infrastructure. This API is part of Bolt's Tokenization-as-a-Service (TaaS) platform, enabling merchants to inject sensitive card data (e.g., PAN, CVV) into PSP-native request formats without directly handling raw card data. The proxy replaces placeholders in the merchant-defined request body with actual card data retrieved securely using the provided `x-bolt-taas-id`, and forwards the complete request to the specified `x-bolt-forward-to` URL using the HTTP method specified in `x-bolt-forward-verb`.
Fetch a Test Credit Card Token GET
This endpoint fetches a new credit card token for Bolt's universal test credit card number `4111 1111 1111 1004`. This is for testing and is available only in sandbox.